View Issue Details

IDProjectCategoryView StatusLast Update
0008331Talerwallet-corepublic2024-02-09 00:50
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritylowSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008331: http client lib doesn't transparently follow redirects on nodejs
DescriptionBoth the browser and (presumably?) curl automatically follow redirects, even for POST requests and a 308 status code.

However, the http client lib implementation for NodeJS differs in behavior here, as the NodeJS http library we wrap doesn't follow redirects automatically. We'd need to implement redirect following in our wrapper.
TagsNo tags attached.

Activities

Florian Dold

2024-02-05 23:59

manager   ~0021167

Implemented in wallet-core now, not tested yet.

Florian Dold

2024-02-06 00:00

manager   ~0021168

Christian: Do test cases pass with the redirect in the merchant backend? You need to have wallet-core with at least commit 78ba50dadceb.

Christian Grothoff

2024-02-06 00:14

manager   ~0021169

Nope, 2 fail. Details on mattermost.

Florian Dold

2024-02-08 10:10

manager   ~0021206

Redirects are now handled transparently via the follow-redirects package on NodeJS.

Issue History

Date Modified Username Field Change
2024-02-05 23:42 Florian Dold New Issue
2024-02-05 23:42 Florian Dold Status new => assigned
2024-02-05 23:42 Florian Dold Assigned To => Florian Dold
2024-02-05 23:59 Florian Dold Note Added: 0021167
2024-02-05 23:59 Florian Dold Assigned To Florian Dold => Christian Grothoff
2024-02-06 00:00 Florian Dold Note Added: 0021168
2024-02-06 00:14 Christian Grothoff Note Added: 0021169
2024-02-06 00:24 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2024-02-08 10:10 Florian Dold Status assigned => resolved
2024-02-08 10:10 Florian Dold Resolution open => fixed
2024-02-08 10:10 Florian Dold Note Added: 0021206
2024-02-09 00:50 Christian Grothoff Product Version => git (master)
2024-02-09 00:50 Christian Grothoff Fixed in Version => 0.9.4
2024-02-09 00:50 Christian Grothoff Target Version 0.9.5 => 0.9.4